tbb::internal::task_group_base::ref_count_guard Class Reference
Inheritance diagram for tbb::internal::task_group_base::ref_count_guard:
Collaboration diagram for tbb::internal::task_group_base::ref_count_guard:

## Public Member Functions

| ref_count_guard (task &t)
| ~ref_count_guard ()

## Private Attributes

task & | my_task

## Additional Inherited Members

Private Member Functions inherited from tbb::internal::no_copy
| no_copy (const no_copy &)=delete
| no_copy ()=default

## Detailed Description

Definition at line 93 of file task_group.h.

## Constructor & Destructor Documentation

## ref_count_guard()

tbb::internal::task_group_base::ref_count_guard::ref_count_guard | ( | task & | t | ) |

inline

Definition at line 96 of file task_group.h.

: my_task(t) {
my_task.increment_ref_count();
}

References tbb::task::increment_ref_count(), and my_task.

Here is the call graph for this function:

## ~ref_count_guard()

tbb::internal::task_group_base::ref_count_guard::~ref_count_guard | ( |  | ) |

inline

Definition at line 99 of file task_group.h.

{
my_task.decrement_ref_count();
}

References tbb::task::decrement_ref_count(), and my_task.

Here is the call graph for this function:

## Member Data Documentation

## my_task

task& tbb::internal::task_group_base::ref_count_guard::my_task

private

Definition at line 94 of file task_group.h.

Referenced by ref_count_guard(), and ~ref_count_guard().

The documentation for this class was generated from the following file:

- task_group.h

tbb::task::decrement_ref_count
int decrement_ref_count()
Atomically decrement reference count and returns its new value.
Definition: task.h:777
tbb::task::increment_ref_count
void increment_ref_count()
Atomically increment reference count.
Definition: task.h:760
tbb::internal::task_group_base::ref_count_guard::my_task
task & my_task
Definition: task_group.h:94

Copyright © 2005-2020 Intel Corporation. All Rights Reserved.

Intel, Pentium, Intel Xeon, Itanium, Intel XScale and VTune are registered trademarks or trademarks of Intel Corporation or its subsidiaries in the United States and other countries.

* Other names and brands may be claimed as the property of others.